Retirement API

Muestra los metodos de pago habilitados para el ususario.

Retorna los metodos de pagos configurados

GET /internal/v1/merchants/retirements/payment_methods

Parameters

Name Description
liquidation_type Tipo de liquidacion, opciones: normal, swap
currency_id Moneda / Token

Request

Headers

Content-Type: application/json
Authorization: <integration-token>
Host: example.org
Cookie: 

Route

GET /internal/v1/merchants/retirements/payment_methods?liquidation_type=normal&currency_id=usdt

Query Parameters

liquidation_type: normal
currency_id: usdt

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"4e758436cdc0274ef3f0f4033a72e386"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 1f5e745e-8a0b-4b0a-830b-52d69f71d722
X-Runtime: 0.033442
Vary: Origin
Content-Length: 156

Status

200 OK

Body

{
  "data": [
    {
      "payment_method": "bank",
      "payment_method_id": 7,
      "title": "bank_test -  - "
    },
    {
      "payment_method": "wallet",
      "payment_method_id": 12,
      "title": "usdt - ETH"
    }
  ]
}